--- /home/eptegom/p/otpr15bainst/linux/lib/observer-1.0/src/observer_tv_table.erl	2011-12-14 13:01:23.000000000 +0100
+++ observer_tv_table.erl	2012-01-22 12:05:34.143978118 +0100
@@ -401,7 +401,12 @@
     wxListCtrl:refreshItems(Grid, Min, Max),
     {noreply, State};
 handle_info({error, Error}, State = #state{frame=Frame}) ->
-    Dlg = wxMessageDialog:new(Frame, Error),
+    ErrorStr =
+	try io_lib:format("~ts", [Error]), Error
+	catch _:_ -> io_lib:format("~p", [Error])
+	end,
+    io:format("error str ~p~n",[ErrorStr]),
+    Dlg = wxMessageDialog:new(Frame, ErrorStr),
     wxMessageDialog:showModal(Dlg),
     wxMessageDialog:destroy(Dlg),
     {noreply, State};
@@ -588,12 +593,14 @@
 	      true -> [];
 	      false -> [caseless]
 	  end,
-    {ok, Re} = re:compile(Str, Opt),
     Dir = case Dir0 of
 	      true -> 1;
 	      false -> -1
 	  end,
-    Res = search(Row, Dir, Re, Table),
+    Res = case re:compile(Str, Opt) of
+	      {ok, Re} -> search(Row, Dir, Re, Table);
+	      {error, _} -> false
+	  end,
     Parent ! {self(), Res},
     S#holder{search=Res}.
 
@@ -613,9 +620,9 @@
 get_row(From, Row, Col, Table) ->
     case lists:nth(Row+1, Table) of
 	[Object|_] when Col =:= all ->
-	    From ! {self(), io_lib:format("~w", [Object])};
+	    From ! {self(), io_lib:format("~9999p", [Object])};
 	[Object|_] when tuple_size(Object) >= Col ->
-	    From ! {self(), io_lib:format("~w", [element(Col, Object)])};
+	    From ! {self(), io_lib:format("~9999p", [element(Col, Object)])};
 	_ ->
 	    From ! {self(), ""}
     end.
